Community @ The Turning Gate

Support community for TTG plugins and products.

You are not logged in.

#1 2018-07-13 22:42:24

tomSYO
New Member
Registered: 2018-07-13
Posts: 1

PayPal integration does not meet TLS 1.2 PCI encryption protocols

Hi,

I'm using CE4 pages & cart and have recently had my PayPal account limited as they have updated their security requirements. I'm not very knowledgeable about this and would be grateful if anyone can advise what I need to do to get it compliant.

PayPal are asking for the server and cart to be TLS 1.2 and HTTP 1.1. Furthermore, they now require their Instant Payment Notification Postback to be sent HTTPS with TLS 1.2 rather than HTTP.

There is some information about these requirements at https://www.paypal-notice.com/en/TLS-1. … 1-Upgrade/ and https://www.paypal-notice.com/en/IPN-Ve … -to-HTTPS/


I'm thinking I may need to make my whole site HTTPS/SSL compliant. At present my only certificate is self signed, should I buy a proper certificate?

Many Thanks for any help

Offline

Board footer

Powered by FluxBB